Subject: Re: [PATCH net-next 0/2] Add ethtool set regs support

From: Stephen Hemminger <[email-masked]>
Date: Tue, 6 Dec 2016 14:45:09 -0800

On Wed,  7 Dec 2016 00:33:08 +0200
Saeed Mahameed <[email-masked]> wrote:

> This simple ethool change will give HW vendors the flexibility to set
> pure HW configurations (not directly related to netdev resources states
> and rings), without the need of vendor proprietary tools and hacks.

The danger is you need to restrict the kernel to only allow setting
safe registers (and this is HW dependent).  There are cases like secure
boot where it is expected that even root is not allowed to modify
all memory.

Also supporting closed format of device registers is not in the interest
of promoting open source.

I am not saying I fundamentally disagree with supporting this, but it
is a bigger step than you make it out to be.